package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$9 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var7 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFF");
      BigInteger var1 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFC");
      BigInteger var2 = SECNamedCurves.access$0("64210519E59C80E70FA7E9AB72243049FEB8DEECC146B9B1");
      byte[] var3 = Hex.decode("3045AE6FC8422F64ED579528D38120EAE12196D5");
      BigInteger var4 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFF99DEF836146BC9B1B4D22831");
      BigInteger var5 = BigInteger.valueOf(1L);
      ECCurve.Fp var6;
      ECCurve.Fp var10000 = var6 = new ECCurve.Fp;
      var10000.<init>(var7, var1, var2);
      ECPoint var8 = var10000.decodePoint(Hex.decode("04188DA80EB03090F67CBF20EB43A18800F4FF0AFD82FF101207192B95FFC8DA78631011ED6B24CDD573F977A11E794811"));
      return new X9ECParameters(var6, var8, var4, var5, var3);
   }
}
